Page MenuHomePhabricator

pending changes protection should be recorded in the logs of a move target like regular protection
Closed, ResolvedPublic

Description

See this relevant village pump discussion, where the fact that a page had been pending-changes protected with no apparent log entries caused confusion:
https://en.wikipedia.org/wiki/Wikipedia:Vpt#No_Pending_Changes_protection_recorded_on_List_of_Nelvana_programs

Here's an example of how a page move is handled in the regular protection logs:
https://en.wikipedia.org/w/index.php?title=Special:Log&page=Template%3ALibyan+Civil+War


Version: unspecified
Severity: enhancement
URL: https://en.wikipedia.org/w/index.php?title=Special%3ALog&type=&user=&page=List+of+Nelvana+programs&year=&month=-1&tagfilter=&hide_patrol_log=1&hide_review_log=1&hide_thanks_log=1

Details

Reference
bz57912
Related Gerrit Patches:
mediawiki/extensions/FlaggedRevs : masterRecord move of stable settings in logs after page move

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 2:42 AM
bzimport set Reference to bz57912.
bzimport added a subscriber: Unknown Object (MLST).
Graham87 created this task.Dec 3 2013, 8:00 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 12 2015, 4:38 PM

Change 253279 had a related patch set uploaded (by Cenarium):
Record move of stable settings in logs after page move

https://gerrit.wikimedia.org/r/253279

Change 253279 merged by jenkins-bot:
Record move of stable settings in logs after page move

https://gerrit.wikimedia.org/r/253279

Cenarium closed this task as Resolved.Dec 21 2016, 11:14 PM
Cenarium claimed this task.
Cenarium removed a project: Patch-For-Review.